package com.saye.hrs.service.impl;

import com.saye.hrs.mapper.BlackListMapper;
import com.saye.hrs.service.BlackListService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
 * @description: 黑名单业务接口实现类
 * @author: Mr.zs
 * @create: 2024-04-12 13:46
 **/
@Service
public class BlackListServiceImpl implements BlackListService {

    @Resource
    BlackListMapper blackListMapper;

    @Override
    public void addBlackList(HashMap<Object, Object> map) {
        blackListMapper.addBlackList(map);
    }

    @Override
    public Integer fetchCountByCardNo(HashMap<Object, Object> map) {
        return blackListMapper.fetchCountByCardNo(map);
    }

    @Override
    public List<HashMap<Object, Object>> findAllBlackList(HashMap<Object, Object> searchMap) {
        return blackListMapper.findAllBlackList(searchMap);
    }

    @Override
    public void modifyBlackList(HashMap<Object, Object> map) {
        blackListMapper.modifyBlackList(map);
    }

    @Override
    public void delBlackList(HashMap<Object, Object> map) {
        blackListMapper.delBlackList(map);
    }
}
